package com.iqser.red.service.persistence.management.v1.processor.entity.annotations;

import java.time.OffsetDateTime;

import com.iqser.red.service.persistence.service.v1.api.shared.model.annotations.AnnotationStatus;

public interface IBaseAnnotation {

    AnnotationEntityId getId();


    AnnotationStatus getStatus();


    OffsetDateTime getRequestDate();


    void setRequestDate(OffsetDateTime requestedDate);


    OffsetDateTime getProcessedDate();


    void setProcessedDate(OffsetDateTime processedDate);


    OffsetDateTime getSoftDeletedTime();


    void setSoftDeletedTime(OffsetDateTime softDeletedTime);

}
